.container
  .row.u-margin-top-md.u-margin-bottom-lg
    .col-md-3
      = image_tag "/images/events/gitlab-commit/gitlab-groundworks-logo.svg", alt: "GitLab Groundworks logo", loading: "lazy"

    .col-md-9

      %h1 GitLab Groundworks at Commit Virtual
      %p Looking to get GitLab Certified? Join us during Commit to participate in one of our GitLab Groundworks Training and Certification workshops. Spend the day with GitLab experts from our Professional Services team, who will guide you through in-depth product demonstrations and hands-on activities. After the session, you’ll be invited to complete assessments and earn a GitLab Certification. These workshops are a paid add-on. Purchasing a workshop is not required to participate in the overall GitLab Commit experience.
      %p
        %strong In order to register for the optional Groundworks sessions, please add the optional add-on items to your cart when checking out.

      %p
        - if current_page.data.expiration_date
          - expirationDate = Time.parse(current_page.data.expiration_date)
        - else
          - expirationDate = Time.parse("2010-01-01")
        - currentTime = Time.now.in_time_zone("Pacific Time (US & Canada)")
        - if (expirationDate > currentTime && current_page.data.event_register_url)
          %script{ src: "https://www.eventbrite.com/static/widgets/eb_widgets.js", type: "text/javascript", charset: "utf-8" }
          :javascript
              window.EBWidgets.createWidget(
              {
                widgetType: 'checkout',
                eventId: '105130995638',
                modal: true,
                modalTriggerElementId: 'eventbrite-widget-modal-trigger-105130995638',
                onOrderComplete: function() 
                {
                  console.log('Eventbrite Virtual Commit 2020 order complete');
                }
              });
          %noscript
            :plain
              <noscript><a href="https://www.eventbrite.com/e/gitlab-commit-virtual-tickets-105130995638#tickets" rel="noopener noreferrer" target="_blank"></noscript>
              <button id="eventbrite-widget-modal-trigger-105130995638" type="button" class="btn cta-btn purple u-margin-bottom-xs">Register for Groundworks</button>
              <noscript>Register for Groundworks</a></noscript>

        %a.btn.cta-btn.purple.u-margin-bottom-xs{href: "/events/commit/groundworks/"}
          More about Groundworks

        - if current_page.data.scholarship_end_date
          - scholarship_end_date = Time.parse(current_page.data.scholarship_end_date)
        - else
          - scholarship_end_date = Time.parse("2010-01-01")
        - if (scholarship_end_date > currentTime && current_page.data.event_register_url)
          %a.btn.cta-btn.purple.u-margin-bottom-xs{href: "/events/commit/groundworks/#scholarships"}
            About scholarships
